Bug 856638 - [abrt] xorg-x11-server-Xorg-1.12.3-1.fc17: Xorg server crashed
[abrt] xorg-x11-server-Xorg-1.12.3-1.fc17: Xorg server crashed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
abrt_hash:2f1be76c3eb9b4053e1cde537ef...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-12 09:48 EDT by mshlyn
Modified: 2013-08-01 15:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 15:34:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: usr_share_xorg_conf_d.tar.gz (1.54 KB, text/plain)
2012-09-12 09:48 EDT, mshlyn
no flags Details
File: etc_X11_xorg_conf_d.tar.gz (383 bytes, text/plain)
2012-09-12 09:48 EDT, mshlyn
no flags Details
Xorg log (40.63 KB, text/plain)
2012-09-12 12:50 EDT, mshlyn
no flags Details

  None (edit)
Description mshlyn 2012-09-12 09:48:46 EDT
Description of problem:
When zoom in this png file http://uraeus.fedorapeople.org/files/kcannon.gstlal.png in Shotwell, X is terminated and login screen restart.

Version-Release number of selected component:
xorg-x11-server-Xorg-1.12.3-1.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
kernel:         3.5.3-1.fc17.i686.PAE

backtrace:
:0: /usr/bin/Xorg (xorg_backtrace+0x4a) [0x80ac45a]
:1: /usr/bin/Xorg (0x8047000+0x6a498) [0x80b1498]
:2: (vdso) (__kernel_rt_sigreturn+0x0) [0xb77db40c]
:3: /lib/libc.so.6 (0x435e9000+0x144ec0) [0x4372dec0]
:4: /lib/libpixman-1.so.0 (0x4606b000+0x21953) [0x4608c953]
:5: /lib/libpixman-1.so.0 (0x4606b000+0x524ba) [0x460bd4ba]
:6: /lib/libpixman-1.so.0 (0x4606b000+0x524ba) [0x460bd4ba]
:7: /lib/libpixman-1.so.0 (0x4606b000+0x524ba) [0x460bd4ba]
:8: /lib/libpixman-1.so.0 (0x4606b000+0x524ba) [0x460bd4ba]
:9: /lib/libpixman-1.so.0 (0x4606b000+0x52827) [0x460bd827]
:10: /lib/libpixman-1.so.0 (0x4606b000+0x51075) [0x460bc075]
:11: /lib/libpixman-1.so.0 (pixman_image_composite32+0x3cc) [0x46070bac]
:12: /lib/libpixman-1.so.0 (pixman_image_composite+0xa7) [0x46070da7]
:13: /usr/lib/xorg/modules/libfb.so (fbComposite+0x1f9) [0xb7532159]
:14: /usr/lib/xorg/modules/drivers/intel_drv.so (0xb757f000+0xf37e5) [0xb76727e5]
:15: /usr/lib/xorg/modules/drivers/intel_drv.so (0xb757f000+0xa90e) [0xb758990e]
:16: /usr/lib/xorg/modules/drivers/intel_drv.so (0xb757f000+0xf41ba) [0xb76731ba]
:17: /usr/bin/Xorg (0x8047000+0x10d475) [0x8154475]
:18: /usr/bin/Xorg (CompositePicture+0x339) [0x81486d9]
:19: /usr/bin/Xorg (0x8047000+0x105edd) [0x814cedd]
:20: /usr/bin/Xorg (0x8047000+0x101dbf) [0x8148dbf]
:21: /usr/bin/Xorg (0x8047000+0x303fd) [0x80773fd]
:22: /usr/bin/Xorg (0x8047000+0x1dce5) [0x8064ce5]
:23: /lib/libc.so.6 (__libc_start_main+0xf5) [0x43602635]
:24: /usr/bin/Xorg (0x8047000+0x1e029) [0x8065029]
Comment 1 mshlyn 2012-09-12 09:48:49 EDT
Created attachment 612121 [details]
File: usr_share_xorg_conf_d.tar.gz
Comment 2 mshlyn 2012-09-12 09:48:51 EDT
Created attachment 612122 [details]
File: etc_X11_xorg_conf_d.tar.gz
Comment 3 mshlyn 2012-09-12 12:50:33 EDT
Created attachment 612183 [details]
Xorg log
Comment 4 Adam Jackson 2012-10-18 17:47:22 EDT
Please update to at least xorg-x11-server-1.12.3-2.fc17 and reopen if this is still reproduceable.
Comment 5 mshlyn 2012-10-19 10:16:07 EDT
For xorg-x11-server 1.12.3-2.fc17, the problem is not reproduce-able. 

But there is problem with Shotwell. And abrt already reported the following problem.
uReport: BTHASH=9e03c4319cdba72808bf5429eae5ded16d0adeaa
Comment 6 Fedora End Of Life 2013-07-04 03:26:54 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-08-01 15:34:33 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.